Update a webhook
Update a webhook's URL, status, secret, or subscribed events. Any field omitted from the request is left unchanged. Passing 'events' replaces the full set of subscribed event types.
Authorization
Public key Secret key In: header
In: header
Path Parameters
Unique identifier (UUID) of the webhook.
uuidRequest Body
application/json
PATCH /v0/webhooks/:webhookId/update Request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v0/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/update" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "success", "data": { "webhook": { "object": "webhook", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "url": "string", "status": "active", "secret": "string", "events": [ "payment_success" ], "lastBlockReason": "malformed_url", "lastBlockedAt": null, "consecutiveFailures": 0, "failingSince": null, "createdAt": 0, "deletedAt": null } }}